Bug 71516 - rc.sysinit doesn't reset hostname if /.unconfigured is present
rc.sysinit doesn't reset hostname if /.unconfigured is present
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-08-14 13:59 EDT by Marc MERLIN
Modified: 2014-03-16 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 16:14:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc MERLIN 2002-08-14 13:59:53 EDT
I install machines with kickstart and touch /.unconfigured in the kickstart
post, there is no option to set my hostname (even though your script actually
resets it from the value of HOSTNAME at the end, but nothing changes that)

Something more fancy than this would be nice:
(there isn't a text mode "change your hostname" tool, is there?)

--- /etc/rc.d/rc.sysinit.redhat Tue Aug 13 18:00:32 2002
+++ rc.sysinit.local    Wed Aug 14 10:27:28 2002
@@ -568,6 +568,11 @@

 # Configure machine if necessary.
 if [ -f /.unconfigured ]; then
+    echo "Please type the new hostname (fully qualified name: server.domain.tld)"
+    read HOSTNAME
+    perl -p -i -e "s/^HOSTNAME=.*/HOSTNAME=$HOSTNAME/" /etc/sysconfig/network
+    perl -p -i -e "s/^*/         $HOSTNAME localhost/"
Comment 1 Bill Nottingham 2005-09-29 16:14:25 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of

If this persists on a current release, such as Fedora Core 4, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.